none
Windows CE 5.0 und Fehlermeldung .net cf initialization error RRS feed

  • Frage

  • Hallo,

    ich versuche eine Anwendung in .net 3.5 für ein MDE (Datalogic Scorpio) mit Windows CE 5.0 zu schreiben.

    (Was ich mir auch gerne ersparen würde aber ich finde nichts womit man eine Nachricht via dem guten altem "net send" an ein Windows CE schicken kann.)

    Allerdings kommt schon bei einem "Hello World!!!"-Beispiel eine Fehlermeldung "The application failed to load required components... re-install .net compact framework ... (80000005)"

    Das ist aber installiert, hab es auch schon 2 mal reinstalliert, alles ohne Fehler. Kann leider keine Lösung finden und nur vermutungen anstellen:

    Visual C++ Express 2008 kann dies nicht :(

    Es sind bestimmte einstellung am Project erforderlich :?

     

    Grüße

    Rigoletto

     

    Montag, 30. August 2010 08:50

Antworten

  • Installierte Edition: VC Express

    bei allen Express-Editionen fehlen die nötigen Compiler & Debugger (CPU-spezifisch!) für Windows CE.

    Somit brauchst du (mind.) die 'Professional' Visual Studio 2008
       (aber Achtung, nicht VS2010, dort ist wiederum nichts für Windows CE dabei!)
    Mit der 'Professional' 2008 kann man mit C# & VB.NET & C++ für Window CE entwickeln.

    Für kleine Experimente genügt evtl. die Trial (90 Tage),
    http://www.microsoft.com/downloads/details.aspx?FamilyID=83c3a1ec-ed72-4a79-8961-25635db0192b

    aber Trial vielleicht besser auf separatem PC installieren  (techn. aber nicht zwingend);
    In einer VM [VirtualPC uä] ist für WinCE-Entwicklung eher auch weniger geeignet.
    Dann da auch das VS2008 _SP1_ unbedingt drauf.
    Montag, 30. August 2010 09:37

Alle Antworten

  • Visual C++ Express 2008 kann dies nicht :(

    naja,
    welche Studio Version hast du denn genau?  (alle Express & Standard - Editionen sind generell _nicht_ geeignet für WinCE)

    Und das aktuelle Compact Framework ist 3.5
    http://www.microsoft.com/downloads/details.aspx?FamilyID=e3821449-3c6b-42f1-9fd9-0041345b3385
    Montag, 30. August 2010 09:00
  • Visual C++ Express 2008 kann dies nicht :(

    naja,
    welche Studio Version hast du denn genau?  (alle Express & Standard - Editionen sind generell _nicht_ geeignet für WinCE)

    Und das aktuelle Compact Framework ist 3.5
    http://www.microsoft.com/downloads/details.aspx?FamilyID=e3821449-3c6b-42f1-9fd9-0041345b3385


    Der "Info kopieren" -Button ist ja mal eine gute Erfindung :D

    ---------

    Microsoft Visual Studio 2008
    Version 9.0.30729.1 SP
    Microsoft .NET Framework
    Version 3.5 SP1

    Installierte Edition: VC Express

    Microsoft Visual C++ 2008  <zensiert :)> 
    Microsoft Visual C++ 2008

    Hotfix für Microsoft Visual C++ 2008 Express Edition mit SP1 - DEU (KB945282)   KB945282
    Dieser Hotfix ist für Microsoft Visual C++ 2008 Express Edition mit SP1 - DEU.
    Wenn Sie später ein neueres Service Pack installieren, wird dieser Hotfix automatisch deinstalliert.
    Weitere Informationen erhalten Sie unter http://support.microsoft.com/kb/945282.

    Hotfix für Microsoft Visual C++ 2008 Express Edition mit SP1 - DEU (KB946040)   KB946040
    Dieser Hotfix ist für Microsoft Visual C++ 2008 Express Edition mit SP1 - DEU.
    Wenn Sie später ein neueres Service Pack installieren, wird dieser Hotfix automatisch deinstalliert.
    Weitere Informationen erhalten Sie unter http://support.microsoft.com/kb/946040.

    Hotfix für Microsoft Visual C++ 2008 Express Edition mit SP1 - DEU (KB946308)   KB946308
    Dieser Hotfix ist für Microsoft Visual C++ 2008 Express Edition mit SP1 - DEU.
    Wenn Sie später ein neueres Service Pack installieren, wird dieser Hotfix automatisch deinstalliert.
    Weitere Informationen erhalten Sie unter http://support.microsoft.com/kb/946308.

    Hotfix für Microsoft Visual C++ 2008 Express Edition mit SP1 - DEU (KB947540)   KB947540
    Dieser Hotfix ist für Microsoft Visual C++ 2008 Express Edition mit SP1 - DEU.
    Wenn Sie später ein neueres Service Pack installieren, wird dieser Hotfix automatisch deinstalliert.
    Weitere Informationen erhalten Sie unter http://support.microsoft.com/kb/947540.

    Hotfix für Microsoft Visual C++ 2008 Express Edition mit SP1 - DEU (KB947789)   KB947789
    Dieser Hotfix ist für Microsoft Visual C++ 2008 Express Edition mit SP1 - DEU.
    Wenn Sie später ein neueres Service Pack installieren, wird dieser Hotfix automatisch deinstalliert.
    Weitere Informationen erhalten Sie unter http://support.microsoft.com/kb/947789.

    Hotfix für Microsoft Visual C++ 2008 Express Edition mit SP1 - DEU (KB948127)   KB948127
    Dieser Hotfix ist für Microsoft Visual C++ 2008 Express Edition mit SP1 - DEU.
    Wenn Sie später ein neueres Service Pack installieren, wird dieser Hotfix automatisch deinstalliert.
    Weitere Informationen erhalten Sie unter http://support.microsoft.com/kb/948127.

    ------------

     

    Das ist genau das framework was ich installiert habe.

     

    grüße

    Montag, 30. August 2010 09:22
  • Installierte Edition: VC Express

    bei allen Express-Editionen fehlen die nötigen Compiler & Debugger (CPU-spezifisch!) für Windows CE.

    Somit brauchst du (mind.) die 'Professional' Visual Studio 2008
       (aber Achtung, nicht VS2010, dort ist wiederum nichts für Windows CE dabei!)
    Mit der 'Professional' 2008 kann man mit C# & VB.NET & C++ für Window CE entwickeln.

    Für kleine Experimente genügt evtl. die Trial (90 Tage),
    http://www.microsoft.com/downloads/details.aspx?FamilyID=83c3a1ec-ed72-4a79-8961-25635db0192b

    aber Trial vielleicht besser auf separatem PC installieren  (techn. aber nicht zwingend);
    In einer VM [VirtualPC uä] ist für WinCE-Entwicklung eher auch weniger geeignet.
    Dann da auch das VS2008 _SP1_ unbedingt drauf.
    Montag, 30. August 2010 09:37
  • Installierte Edition: VC Express

    bei allen Express-Editionen fehlen die nötigen Compiler & Debugger (CPU-spezifisch!) für Windows CE.

    Somit brauchst du (mind.) die 'Professional' Visual Studio 2008
       (aber Achtung, nicht VS2010, dort ist wiederum nichts für Windows CE dabei!)
    Mit der 'Professional' 2008 kann man mit C# & VB.NET & C++ für Window CE entwickeln.

    Für kleine Experimente genügt evtl. die Trial (90 Tage),
    http://www.microsoft.com/downloads/details.aspx?FamilyID=83c3a1ec-ed72-4a79-8961-25635db0192b

    aber Trial vielleicht besser auf separatem PC installieren  (techn. aber nicht zwingend);
    In einer VM [VirtualPC uä] ist für WinCE-Entwicklung eher auch weniger geeignet.
    Dann da auch das VS2008 _SP1_ unbedingt drauf.

    Danke für die Info.

    Nee, 650 Euro, dann doch lieber zur API und das kostenlose embedded c++ 4.0

     

    gruß

    Montag, 30. August 2010 10:13